{{- if .Values.mountConfigMaps }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Release.Name}}-config-files
data:
  {{- range $k,$v := .Values.mountConfigMaps }}
  {{ $k }}: |-
{{ $v.data | indent 4 }}
  {{ end }}
{{ end }}
